WATCHDOGD(8)

NAME
watchdogd - watchdog daemon

SYNOPSIS
watchdogd [-d] [-e cmd] [-I file] [-s sleep] [-t timeout]

DESCRIPTION
The watchdogd utility interfaces with the kernel's watchdog facility to ensure that the system is in a working state. If watchdogd is unable to interface with the kernel over a specific timeout, the kernel will take actions to assist in debugging or restarting the computer.

If -e cmd is specified, watchdogd will attempt to execute this command with system(3), and only if the command returns with a zero exit code will the watchdog be reset. If -e cmd is not specified, the daemon will perform a trivial file system check instead.

The -s sleep argument can be used to control the sleep period between each execution of the check and defaults to one second.

The -t timeout specifies the desired timeout period in seconds. The default timeout is 16 seconds.

One possible circumstance which will cause a watchdog timeout is an interrupt storm. If this occurs, watchdogd will no longer execute and thus the kernel's watchdog routines will take action after a configurable timeout.

Upon receiving the SIGTERM or SIGINT signals, watchdogd will first instruct the kernel to no longer perform watchdog checks and then will terminate.

The watchdogd utility recognizes the following runtime options:

-I file
    Write the process ID of the watchdogd utility in the specified file.

-d  Do not fork. When this option is specified, watchdogd will not fork into the background at startup.

FILES
/var/run/watchdogd.pid

SEE ALSO
watchdog(4), watchdog(8), watchdog(9)

HISTORY
The watchdogd utility appeared in FreeBSD 5.1.

AUTHORS
-nosplit The watchdogd utility and manual page were written by Sean Kelly <smkelly@FreeBSD.org> and Poul-Henning Kamp <phk@FreeBSD.org>.

Some contributions made by Jeff Roberson <jeff@FreeBSD.org>.